diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index ef69a8d9..bfb4196f 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -244,12 +244,24 @@ define([
    */
   _.extend(
     Backform.InputControl.prototype, {
+      defaults: _.extend(Backform.InputControl.prototype.defaults, {
+        autocomplete: 'new-password',
+      }),
       events: {
         'change input': 'onChange',
         'blur input': 'onChange',
         'keyup input': 'onKeyUp',
         'focus input': 'clearInvalid',
       },
+      template: _.template([
+        '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
+        '<div class="<%=Backform.controlContainerClassName%>">',
+        '  <input type="<%=type%>" autocomplete="<%=autocomplete%>" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+        '  <% if (helpMessage && helpMessage.length) { %>',
+        '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
+        '  <% } %>',
+        '</div>',
+      ].join('\n')),
       onKeyUp: function(ev) {
         if (this.key_timeout) {
           clearTimeout(this.key_timeout);
@@ -276,6 +288,7 @@ define([
           rows: 5,
           helpMessage: null,
           maxlength: null,
+          autocomplete: 'new-password',
         }
       ),
       events: {
@@ -288,7 +301,7 @@ define([
       template: _.template([
         '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
         '<div class="<%=Backform.controlsClassName%>">',
-        '  <textarea ',
+        '  <textarea autocomplete="<%=autocomplete%>"',
         '    class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>"',
         '  <% if (maxlength) { %>',
         '    maxlength="<%=maxlength%>"',
@@ -440,11 +453,12 @@ define([
       extraClasses: [],
       helpMessage: null,
       extraToggleClasses: null,
+      autocomplete: 'off',
     },
     template: _.template([
       '<label class="<%=controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=controlsClassName%> <%=extraClasses.join(\' \')%>">',
-      '      <input tabindex="0" type="checkbox" data-style="quick" data-toggle="toggle"',
+      '      <input tabindex="0" autocomplete="<%=autocomplete%>" type="checkbox" data-style="quick" data-toggle="toggle"',
       '      data-size="<%=options.size%>" data-height="<%=options.height%>"  ',
       '      data-on="<%=options.onText%>" data-off="<%=options.offText%>" ',
       '      data-onstyle="<%=options.onColor%>" data-offstyle="<%=options.offColor%>" data-width="<%=options.width%>" ',
@@ -1704,11 +1718,12 @@ define([
       maxlength: 255,
       extraClasses: [],
       helpMessage: null,
+      autocomplete: 'new-password',
     },
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%>">',
-      '  <input type="<%=type%>" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+      '  <input type="<%=type%>" autocomplete="<%=autocomplete%>" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
       '  <% if (helpMessage && helpMessage.length) { %>',
       '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '  <% } %>',
@@ -2203,13 +2218,14 @@ define([
       helpMessage: null,
       maxlength: 4096,
       rows: undefined,
+      autocomplete: 'new-password',
     },
 
     // Customize template to add new styles
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%> sql_field_layout <%=extraClasses.join(\' \')%>">',
-      '  <textarea ',
+      '  <textarea autocomplete="<%=autocomplete%>"',
       '    class="<%=Backform.controlClassName%> " name="<%=name%>"',
       '    maxlength="<%=maxlength%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%>',
       '    rows=<%=rows%>',
@@ -2420,6 +2436,7 @@ define([
       btn_primary: '',
       helpMessage: null,
       dialog_type: 'select_file',
+      autocomplete: 'new-password',
     },
     initialize: function() {
       Backform.InputControl.prototype.initialize.apply(this, arguments);
@@ -2428,7 +2445,7 @@ define([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%>">',
       '<div class="input-group">',
-      '<input type="<%=type%>" class="form-control <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+      '<input type="<%=type%>" autocomplete="<%=autocomplete%>" class="form-control <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
       '<div class="input-group-append">',
       '<button class="btn btn-secondary fa fa-ellipsis-h select_item" <%=disabled ? "disabled" : ""%> ></button>',
       '</div>',
@@ -2768,6 +2785,7 @@ define([
   Backform.KeyCodeControl = Backform.InputControl.extend({
     defaults: _.defaults({
       escapeKeyCodes: [16, 17, 18, 27], // Shift, Ctrl, Alt/Option, Escape
+      autocomplete: 'new-password',
     }, Backform.InputControl.prototype.defaults),
 
     events: {
@@ -2794,7 +2812,7 @@ define([
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%> keyboard-shortcut-label"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%>">',
-      '  <input type="<%=type%>" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" oncopy="return false; oncut="return false; onpaste="return false;" maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+      '  <input type="<%=type%>" autocomplete="<%=autocomplete%>" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" oncopy="return false; oncut="return false; onpaste="return false;" maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
       '  <% if (helpMessage && helpMessage.length) { %>',
       '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '  <% } %>',
diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index b717230c..a40d4bfe 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -19,6 +19,11 @@ define([
    * same column;
    */
 
+  _.extend(Backgrid.InputCellEditor.prototype.attributes, {
+    type: 'text',
+    autocomplete: 'new-password',
+  });
+
   // Add new property cellFunction in Backgrid.Column.
   _.extend(Backgrid.Column.prototype.defaults, {
     cellFunction: undefined,
@@ -1252,6 +1257,7 @@ define([
     editor: Backgrid.InputCellEditor.extend({
       attributes: {
         type: 'password',
+        autocomplete: 'new-password',
       },
 
       render: function() {
@@ -1666,6 +1672,7 @@ define([
     setCustomSearchBox: function($el) {
       this.$customSearchBox = $el;
       this.$customSearchBox.attr('type','search');
+      this.$customSearchBox.attr('autocomplete','new-password');
       this.$customSearchBox.on('keydown', this.search.bind(this));
     },
 
